<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class QuestionBlank extends Model
{
    use SoftDeletes;

    protected $table = 'se_question_blanks';

    protected $fillable = [
        'question_id',
        'position',
        'correct_answer',
        'other_answers',
    ];

    public function question()
    {
        return $this->belongsTo(Question::class, 'question_id');
    }
}
