<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('se_exercise_questions', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('exercise_id');
            $table->unsignedBigInteger('question_id');
            $table->integer('position')->default(0);

            $table->timestamps();
            $table->softDeletes();

        });
    }

    public function down(): void
    {
        Schema::dropIfExists('se_exercise_questions');
    }
};
