{{-- resources/views/layouts/partials/navbar.blade.php --}}
<nav class="navbar navbar-main navbar-expand-lg px-0 mx-4 shadow-none border-radius-xl" id="navbarBlur"
    navbar-scroll="true">
    <div class="container-fluid py-1 px-3">
        <nav aria-label="breadcrumb">
            {{-- nếu có breadcrumb, chèn ở đây --}}
        </nav>
        <div class="collapse navbar-collapse mt-sm-0 mt-2 me-md-0 me-sm-4" id="navbar">
            <div class="ms-md-auto pe-md-3 d-flex align-items-center">
                <div class="input-group">
                    {{-- Input tìm kiếm nếu cần --}}
                </div>
            </div>
            <ul class="navbar-nav justify-content-end">
                {{-- User Fullname & Log Out --}}
                @auth
                    <li class="nav-item d-flex align-items-center">
                        <a href="" class="nav-link text-body font-weight-bold px-0"
                            onclick="event.preventDefault(); this.closest('form').submit();">
                            <i class="fa fa-user me-sm-1"></i>
                            {{-- Hiển thị fullname của user thay cho Log Out --}}
                            <span class="d-sm-inline d-none">{{ Auth::user()->fullname }}</span>
                        </a>
                    </li>
                @endauth

                {{-- Toggler (mobile) --}}
                <li class="nav-item d-xl-none ps-3 d-flex align-items-center">
                    <a href="javascript:;" class="nav-link text-body p-0" id="iconNavbarSidenav">
                        <div class="sidenav-toggler-inner">
                            <i class="sidenav-toggler-line"></i>
                            <i class="sidenav-toggler-line"></i>
                            <i class="sidenav-toggler-line"></i>
                        </div>
                    </a>
                </li>

                {{-- Fixed-plugin button --}}
                <li class="nav-item px-3 d-flex align-items-center">
                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-inline">
                        @csrf
                        <button type="submit" class="nav-link text-body p-0 bg-transparent border-0"
                            style="cursor: pointer;" title="Đăng xuất">
                            <i class="fas fa-sign-out-alt fa-lg"></i>
                        </button>
                    </form>
                </li>


            </ul>
        </div>
    </div>
</nav>
