<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class QuestionType extends Model
{
    use SoftDeletes;

    protected $table = 'se_question_types';

    protected $fillable = [
        'name',
        'code',
        'description',
        'status',
    ];

    public function questions()
    {
        return $this->hasMany(Question::class, 'question_type_id');
    }
}
