@props(['fields', 'buttonCount'])

<div wire:loading class="w-100">
    <div class="p-4 rounded-lg max-w-md mx-auto space-y-4">
        {{-- Title --}}
        <div class="skeleton rounded" style="width:10rem; height:2rem;"></div>

        {{-- Fields --}}
        <div class="space-y-3 mt-2">
            @for ($i = 0; $i < $fields; $i++)
                <div class="skeleton rounded mt-1" style="width:100%; height:3.5rem;"></div>
            @endfor
        </div>

        {{-- Buttons --}}
        <div class="d-flex justify-content-end gap-3 mt-2">
            @for ($i = 0; $i < $buttonCount; $i++)
                <div class="skeleton rounded" style="width:5.5rem; height:2.5rem;"></div>
            @endfor
        </div>
    </div>
</div>
